Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.classpath
Class ClassTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.gjt.jclasslib.browser.config.classpath.ClassTreeNode

All Implemented Interfaces:
  Cloneable, MutableTreeNode, Serializable, TreeNode

public class ClassTreeNode
extends DefaultMutableTreeNode

Tree node for the tree in the `ClasspathBrowser` dialog.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`ClassTreeNode()` Constructor for the root node.
`ClassTreeNode(String name, boolean packageNode)` Constructor for class and package nodes.

Method Summary
`boolean` | `isPackageNode()` Return whether the node is a package node or not.

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassTreeNode

    public ClassTreeNode()

  Constructor for the root node.

### ClassTreeNode

    public ClassTreeNode(String name,
                         boolean packageNode)

  Constructor for class and package nodes.

Parameters:
  `name` - the name of the entry.
  `packageNode` - whether the node is a package node or not.

Method Detail

### isPackageNode

    public boolean isPackageNode()

  Return whether the node is a package node or not.

  Returns:
    the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD